Bug 1615637 (CVE-2018-15746) - CVE-2018-15746 QEMU: seccomp: blacklist is not applied to all threads
Summary: CVE-2018-15746 QEMU: seccomp: blacklist is not applied to all threads
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-15746
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1618358 1618503 1618504 1622976 1618356 1618357 1623283 1623284 1623285 1623286 1623287 1623288
Blocks: 1615621
TreeView+ depends on / blocked
 
Reported: 2018-08-13 23:04 UTC by Laura Pardo
Modified: 2019-09-29 14:47 UTC (History)
38 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-09 01:18:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2513 None None None 2019-08-15 18:37:31 UTC
Red Hat Product Errata RHSA-2019:2425 None None None 2019-08-09 00:48:27 UTC

Description Laura Pardo 2018-08-13 23:04:19 UTC
An issue was found in the way QEMU implements Seccomp sandboxing. In that, all QEMU threads are not bound by the sandbox. A guest user/process maybe be able to use this flaw to invoke prohibited system calls on a host, resulting in guest crash.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-08/msg04892.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2018/08/28/6
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-08/msg02289.html

Comment 1 Prasad J Pandit 2018-08-16 13:23:45 UTC
Acknowledgments:

Name: Jann Horn (Google.com)

Comment 2 Prasad J Pandit 2018-08-16 13:36:06 UTC
Created qemu tracking bugs for this issue:

Affects: epel-7 [bug 1618358]
Affects: fedora-all [bug 1618357]

Comment 11 errata-xmlrpc 2019-08-09 00:48:25 UTC
This issue has been addressed in the following products:

  Red Hat OpenStack Platform 10.0 (Newton)
  Red Hat OpenStack Platform 13.0 (Queens)
  Red Hat OpenStack Platform 14.0 (Rocky)

Via RHSA-2019:2425 https://access.redhat.com/errata/RHSA-2019:2425

Comment 12 Product Security DevOps Team 2019-08-09 01:18:13 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-15746


Note You need to log in before you can comment on or make changes to this bug.